PBKDF2SecretKeyFactory (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.jce.PBKDF2SecretKeyFactory,PBKDF2SecretKeyFactory class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class PBKDF2SecretKeyFactory

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--gnu.crypto.jce.PBKDF2SecretKeyFactory

Direct Known Subclasses:
  PBKDF2SecretKeyFactory.HMacHaval, PBKDF2SecretKeyFactory.HMacMD2, PBKDF2SecretKeyFactory.HMacMD4, PBKDF2SecretKeyFactory.HMacMD5, PBKDF2SecretKeyFactory.HMacRipeMD128, PBKDF2SecretKeyFactory.HMacRipeMD160, PBKDF2SecretKeyFactory.HMacSHA1, PBKDF2SecretKeyFactory.HMacSHA256, PBKDF2SecretKeyFactory.HMacSHA384, PBKDF2SecretKeyFactory.HMacSHA512, PBKDF2SecretKeyFactory.HMacTiger, PBKDF2SecretKeyFactory.HMacWhirlpool

public abstract class PBKDF2SecretKeyFactory
extends SecretKeyFactorySpi

Nested Class Summary
`static class` | `PBKDF2SecretKeyFactory.HMacHaval`
`static class` | `PBKDF2SecretKeyFactory.HMacMD2`
`static class` | `PBKDF2SecretKeyFactory.HMacMD4`
`static class` | `PBKDF2SecretKeyFactory.HMacMD5`
`static class` | `PBKDF2SecretKeyFactory.HMacRipeMD128`
`static class` | `PBKDF2SecretKeyFactory.HMacRipeMD160`
`static class` | `PBKDF2SecretKeyFactory.HMacSHA1`
`static class` | `PBKDF2SecretKeyFactory.HMacSHA256`
`static class` | `PBKDF2SecretKeyFactory.HMacSHA384`
`static class` | `PBKDF2SecretKeyFactory.HMacSHA512`
`static class` | `PBKDF2SecretKeyFactory.HMacTiger`
`static class` | `PBKDF2SecretKeyFactory.HMacWhirlpool`

Field Summary
`protected java.lang.String` | `macName`

Constructor Summary
`protected` | `PBKDF2SecretKeyFactory(java.lang.String macName)`

Method Summary
`protected SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec spec)` Generates a `SecretKey` object from the provided key specification (key material).
`protected java.security.spec.KeySpec` | `engineGetKeySpec(SecretKey key, java.lang.Class clazz)` Returns a specification (key material) of the given key object in the requested format.
`protected SecretKey` | `engineTranslateKey(SecretKey key)` Translates a key object, whose provider may be unknown or potentially untrusted, into a corresponding key object of this secret-key factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### macName

    protected java.lang.String macName

Constructor Detail

### PBKDF2SecretKeyFactory

    protected PBKDF2SecretKeyFactory(java.lang.String macName)

Method Detail

### engineGenerateSecret

    protected SecretKey engineGenerateSecret(java.security.spec.KeySpec spec)
                                      throws java.security.spec.InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Generates a `SecretKey` object from the provided key specification (key material).

  Specified by:
    `engineGenerateSecret` in class `SecretKeyFactorySpi`
  Parameters:
    `spec` - the specification (key material) of the secret key
  Returns:
    the secret key
  Throws:
    `java.security.spec.InvalidKeySpecException` - if the given key specification is inappropriate for this secret-key factory to produce a secret key.

### engineGetKeySpec

    protected java.security.spec.KeySpec engineGetKeySpec(SecretKey key,
                                                          java.lang.Class clazz)
                                                   throws java.security.spec.InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Returns a specification (key material) of the given key object in the requested format.

  Specified by:
    `engineGetKeySpec` in class `SecretKeyFactorySpi`
  Parameters:
    `key` - the key
    `clazz` - the requested format in which the key material shall be returned
  Returns:
    the underlying key specification (key material) in the requested format
  Throws:
    `java.security.spec.InvalidKeySpecException` - if the requested key specification is inappropriate for the given key (e.g., the algorithms associated with `key` and `keySpec` do not match, or `key` references a key on a cryptographic hardware device whereas `keySpec` is the specification of a software-based key), or the given key cannot be dealt with (e.g., the given key has an algorithm or format not supported by this secret-key factory).

### engineTranslateKey

    protected SecretKey engineTranslateKey(SecretKey key)

  Description copied from class: `SecretKeyFactorySpi`
  Translates a key object, whose provider may be unknown or potentially untrusted, into a corresponding key object of this secret-key factory.

  Specified by:
    `engineTranslateKey` in class `SecretKeyFactorySpi`
  Parameters:
    `key` - the key whose provider is unknown or untrusted
  Returns:
    InvalidKeyException if the given key cannot be processed by this secret-key factory.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.